Download it now!
Bug 94054 - Writer watermark EPS background image not exported to PDF
Summary: Writer watermark EPS background image not exported to PDF
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export Images-EPS
  Show dependency treegraph
 
Reported: 2015-09-09 12:57 UTC by gianbeos
Modified: 2019-12-09 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer test document with EPS image as background to export to PDF (28.21 KB, application/vnd.oasis.opendocument.text)
2015-09-10 10:23 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gianbeos 2015-09-09 12:57:27 UTC
With the latest two version of LibreOffice, I can't print or export to pdf an EPS file set as watermark on the page. The watermarks is visible on the screen but when I print or export the file, the watermark is substitute with this:

Title:Watermark.eps
Creator:Adobe Illustrator(R) 16.2
CreationDate:23/05/13
LanguageLevel:2

I tried this with two different EPS watermark and the result are the same.

The watermark is set from menu Format > Page > Area > Fill > Bitmap

Thanks for your support
GianBeOS
Comment 1 Alex Thurgood 2015-09-10 10:22:36 UTC
Confirming on

Version: 4.4.5.2
Build ID: a22f674fd25a3b6f45bdebf25400ed2adff0ff99
Locale: fr.UTF-8
 OSX 10.10.5

Note that in LO5.x, the button to add images other than the default provided bitmaps has disappeared, this is a separate (known) bug, so at present this can only be tested with a Writer document already containing an EPS image set as page background (attached).
Comment 2 Alex Thurgood 2015-09-10 10:23:25 UTC
Created attachment 118569 [details]
Writer test document with EPS image as background to export to PDF
Comment 3 V Stuart Foote 2015-09-10 12:01:27 UTC
(In reply to gianbeos from comment #0)
> With the latest two version of LibreOffice, I can't print or export to pdf
> an EPS file set as watermark on the page. The watermarks is visible on the
> screen but when I print or export the file, the watermark is substitute with
> this:
> 
> Title:Watermark.eps
> Creator:Adobe Illustrator(R) 16.2
> CreationDate:23/05/13
> LanguageLevel:2
> 

Suspect that error means that you do not have valid path to either of the "helper" files that LibreOffice uses to render EPS to vector or bitmap.  

pstoedit or convert (from Imagemagick)

Believe your EPS has a preview--that is what you see when the document is open. But when printed or exported to PDF LibreOffice has no way to handle the EPS, and you get the error.

Do things improve (or simply change) if you install pstoedit and/or Imagemagick? Available from Fink, MacPorts or MacAppStore

Unfortunately, once installed you may end up with issue of bug 81497 -- PRINTING: to PDF with Adobe Distiller or GS based PDF printer, EPS images not rendered to PS vector for PDF, instead print uses the preview of EPS image.

But let us know.
Comment 4 gianbeos 2015-12-14 14:44:07 UTC
The problem persist also with ImageMagick installed (binary in /usr/local/bin and included on PATH variable).



(In reply to V Stuart Foote from comment #3)
> (In reply to gianbeos from comment #0)
> > With the latest two version of LibreOffice, I can't print or export to pdf
> > an EPS file set as watermark on the page. The watermarks is visible on the
> > screen but when I print or export the file, the watermark is substitute with
> > this:
> > 
> > Title:Watermark.eps
> > Creator:Adobe Illustrator(R) 16.2
> > CreationDate:23/05/13
> > LanguageLevel:2
> > 
> 
> Suspect that error means that you do not have valid path to either of the
> "helper" files that LibreOffice uses to render EPS to vector or bitmap.  
> 
> pstoedit or convert (from Imagemagick)
> 
> Believe your EPS has a preview--that is what you see when the document is
> open. But when printed or exported to PDF LibreOffice has no way to handle
> the EPS, and you get the error.
> 
> Do things improve (or simply change) if you install pstoedit and/or
> Imagemagick? Available from Fink, MacPorts or MacAppStore
> 
> Unfortunately, once installed you may end up with issue of bug 81497 --
> PRINTING: to PDF with Adobe Distiller or GS based PDF printer, EPS images
> not rendered to PS vector for PDF, instead print uses the preview of EPS
> image.
> 
> But let us know.
Comment 5 V Stuart Foote 2015-12-14 15:21:31 UTC
(In reply to gianbeos from comment #4)
> The problem persist also with ImageMagick installed (binary in
> /usr/local/bin and included on PATH variable).
> 

OK, would you please confirm what happens when you open a terminal and enter "convert -version"

Do you get this message or similar?

Version: ImageMagick 6.9.2-0 Q16 x64 2015-08-15 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2015 ImageMagick Studio LLC
License: http://www.imagemagick.org/script/license.php
Features: Cipher DPC Modules OpenMP 
Delegates (built-in): bzlib cairo freetype jng jp2 jpeg lcms lqr openexr pangocairo png ps rsvg tiff webp xml zlib

Or do you get a "command not found"?
Comment 6 gianbeos 2015-12-14 15:25:18 UTC
No problem with the path:

Version: ImageMagick 6.9.2-8 Q16 x86_64 2015-12-06 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2015 ImageMagick Studio LLC
License: http://www.imagemagick.org/script/license.php
Features: Cipher DPC Modules 
Delegates (built-in): bzlib freetype jng jpeg ltdl lzma png tiff xml zlib



(In reply to V Stuart Foote from comment #5)
> (In reply to gianbeos from comment #4)
> > The problem persist also with ImageMagick installed (binary in
> > /usr/local/bin and included on PATH variable).
> > 
> 
> OK, would you please confirm what happens when you open a terminal and enter
> "convert -version"
> 
> Do you get this message or similar?
> 
> Version: ImageMagick 6.9.2-0 Q16 x64 2015-08-15 http://www.imagemagick.org
> Copyright: Copyright (C) 1999-2015 ImageMagick Studio LLC
> License: http://www.imagemagick.org/script/license.php
> Features: Cipher DPC Modules OpenMP 
> Delegates (built-in): bzlib cairo freetype jng jp2 jpeg lcms lqr openexr
> pangocairo png ps rsvg tiff webp xml zlib
> 
> Or do you get a "command not found"?
Comment 7 eisa01 2017-10-20 21:49:02 UTC
Still present, and I have the same issue on 3.3, so setting version inherited from OOo

Version: 6.0.0.0.alpha1+
Build ID: 15dce20e8b97dbd0179f01910ca4d0027e80ff4e
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-10-20_06:46:46
Locale: en-US (en_US.UTF-8); Calc: group
Comment 8 QA Administrators 2018-10-22 02:50:43 UTC Comment hidden (obsolete)
Comment 9 eisa01 2018-12-08 08:33:49 UTC
Still present

Version: 6.3.0.0.alpha0+
Build ID: beae6c7a7f163daad0d4dea63a3d403af2745fd1
CPU threads: 2; OS: Mac OS X 10.13.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-12-06_23:52:29
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Even have ImageMagick installed:
Version: ImageMagick 7.0.7-7 Q16 x86_64 2017-10-08 http://www.imagemagick.org
Copyright: © 1999-2017 ImageMagick Studio LLC
License: http://www.imagemagick.org/script/license.php
Features: Cipher DPC HDRI Modules 
Delegates (built-in): bzlib freetype jng jpeg ltdl lzma png tiff xml zlib
Comment 10 QA Administrators 2019-12-09 03:38:58 UTC
Dear gianbeos,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug